Bug 1424619 - gnupg tests fail when built with -O2 on armv7hl
Summary: gnupg tests fail when built with -O2 on armv7hl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnupg
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-17 20:26 UTC by Brian Lane
Modified: 2017-07-25 00:24 UTC (History)
8 users (show)

Fixed In Version: gnupg-1.4.22-1 gnupg-1.4.22-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-24 19:22:16 UTC


Attachments (Terms of Use)
mpih-div.i.bz2 (14.70 KB, application/octet-stream)
2017-05-16 19:24 UTC, Jakub Jelinek
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 80808 None None None 2017-05-22 05:36:08 UTC

Description Brian Lane 2017-02-17 20:26:11 UTC
The mass rebuild with the new version of gcc is causing gnupg builds to fail on the armv7hl arch, it works fine on all the other arches.

If I change the optimization from -O2 to -O1 the tests pass.

Failing build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17920462

Successful build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17921100

Comment 1 Fedora End Of Life 2017-02-28 12:22:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Jakub Jelinek 2017-05-16 19:24:08 UTC
Created attachment 1279410 [details]
mpih-div.i.bz2

Bisection seems to reveal that it is mpi/mpih-div.c that matters, at least if all the object files are compiled with -O2 and this single one with -O1, tests pass, if all objects are compiled with -O1 and this single one with -O2, the test fail the same.

Command line:
gcc -O2 -g -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard -fPIE -S -o mpih-div.s mpih-div.i

Comment 3 Jakub Jelinek 2017-05-16 21:13:40 UTC
Bisected to http://gcc.gnu.org/r241660 change.

Comment 4 Jakub Jelinek 2017-05-22 08:14:28 UTC
So the bug is actually in gnupg that it uses helplessly obsolete longlong.h.
This has been fixed in https://gcc.gnu.org/ml/gcc-patches/2005-10/msg00546.html
and committed as r106491.  Current gmp longlong.h seems to be fine too.

Comment 5 Brian Lane 2017-05-26 20:56:58 UTC
Filed a bug upstream - https://dev.gnupg.org/T3182

Comment 6 Fedora Update System 2017-07-20 18:26:42 UTC
gnupg-1.4.22-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e0163c9e7d

Comment 7 Fedora Update System 2017-07-20 18:27:32 UTC
gnupg-1.4.22-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e3b6342bde

Comment 8 Fedora Update System 2017-07-23 06:54:10 UTC
gnupg-1.4.22-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea3b1c1767

Comment 9 Fedora Update System 2017-07-23 06:56:28 UTC
gnupg-1.4.22-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e3b6342bde

Comment 10 Fedora Update System 2017-07-23 09:58:08 UTC
gnupg-1.4.22-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e0163c9e7d

Comment 11 Fedora Update System 2017-07-24 19:22:16 UTC
gnupg-1.4.22-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-07-25 00:24:29 UTC
gnupg-1.4.22-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.